Bug 1242990 - Allow extra env files when running "overcloud node delete"
Summary: Allow extra env files when running "overcloud node delete"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ga
: Director
Assignee: Jan Provaznik
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-14 14:13 UTC by Jan Provaznik
Modified: 2015-08-28 05:43 UTC (History)
9 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-36.el7ost openstack-tripleo-common-0.0.1.dev6-1.git49b57eb.el7ost
Doc Type: Enhancement
Doc Text:
New in this release is the ability to accept extra Heat environment files when deleting a node from overcloud. When using an isolated network, extra environment files must be passed to Heat on any overcloud update. With this update, the "openstack overcloud node delete" command can be used to delete overcloud nodes on an isolated network.
Clone Of:
Environment:
Last Closed: 2015-08-05 13:59:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 239945 None None None Never
OpenStack gerrit 202055 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Jan Provaznik 2015-07-14 14:13:04 UTC
Description of problem:
"openstack overcloud node delete" currently doesn't support passing heat extra environment files. Because network isolation config is passed in these extra env files to "openstack overcloud deploy" and have to be passed on any stack-update operation too, we need to support when deleting a node too.

Comment 3 Jan Provaznik 2015-07-15 14:41:27 UTC
upstream patches:
https://review.openstack.org/#/c/202055/
https://review.gerrithub.io/#/c/239945/

Comment 6 errata-xmlrpc 2015-08-05 13:59:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.